//qlabel_doubleclick.cpp
#include "db_label.h"

db_label::db_label(QWidget *parent) : QLabel(parent){
    connect(&timer, SIGNAL(timeout()), this, SLOT(singleClick()));
}

db_label::~db_label(){}

void db_label::mouseDoubleClickEvent(QMouseEvent* event) {
    timer.stop();
    emit QlabelDoubleClick();
}

void db_label::mousePressEvent(QMouseEvent* event) {
    timer.setSingleShot(true);
    timer.start(300);
}

void db_label::singleClick(void) {
    timer.stop();
    emit QlabelClick();
}